@echo off

set url="SELECT FlIns AS MsnCode, Lp AS [Last] FROM https://finance-services.msn.com/Market.svc/ChartAndQuotes?symbols={symbol}&chartType=1y&isEOD=True&isCS=true&isVol=true"

gsqlcmd import /merge db %url% /table=data /taskfile=symbols.txt /echoURL /add=Symbol={Symbol};LoadDate=Date();json=FileText() /limit=1 ^
        /referer=https://www.msn.com/en-us/money/ ^
        /rootPath=Quotes

if .%1.==./Q. goto :EOF

@pause
